Use the API key created under your merchant account from the HyperSwitch dashboard. API key is used to authenticate API requests from your merchant server only. Don't expose this key on a website or embed it in a mobile application.
Merchant ID of the connected merchant on whose behalf the operation is performed. Required when authenticating with a platform merchant's API key. Standard and connected merchants must not send it.
Present when routing is linked to an external decision engine.
Example:
"de_route_456"
Example:
"de_route_456"
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Hyperswitch","colors":{"primary":"#4F8EFF","light":"#6BA3FF","dark":"#2563EB"},"logo":{"light":"/logo/light.svg","dark":"/logo/dark.svg"},"favicon":"/favicon.png","api":{"openapi":["v1/openapi_spec_v1.json","v2/openapi_spec_v2.json","rust_locker_open_api_spec.yml","decision_engine_openapi-specs.json"]},"background":{"color":{"light":"#FAFBFC","dark":"#1d1d1d"}},"navbar":{"links":[{"href":"https://inviter.co/hyperswitch-slack","label":"Contact Us"},{"href":"https://deepwiki.com/juspay/hyperswitch","label":"Explore with Deepwiki"}],"primary":{"type":"button","label":"Self-Deploy","href":"https://docs.hyperswitch.io/hyperswitch-open-source/overview"}},"footer":{"socials":{"github":"https://github.com/juspay/hyperswitch","linkedin":"https://www.linkedin.com/company/hyperswitch"}},"integrations":{"gtm":{"tagId":"GTM-PLBNKQFQ"},"mixpanel":{"projectToken":"b00355f29d9548d1333608df71d5d53d"}},"contextual":{"options":["copy","claude","chatgpt","view"],"display":"header"},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"hasAudioNarration":false,"customDomains":[],"gitSource":{"type":"github","owner":"local","repo":"local","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":"local","isBase":true},"buildId":"local","clientVersion":"0.0.4064"},"basePath":"","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[],"googleFontsInlined":false,"isLoggedInCli":false},"customCss":[],"page":{"pagePath":"v1/routing/routing--create","slug":"/v1/routing/routing--create","pageMetadata":{"openapi":"post /routing","description":"Create a routing config","href":"/v1/routing/routing--create","title":"Routing - Create"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Create a routing config\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"openapi":"post /routing","description":"Create a routing config","href":"/v1/routing/routing--create","title":"Routing - Create"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"tags":["Routing"],"summary":"Routing - Create","description":"Create a routing config","operationId":"Create a routing config","parameters":["2dc76630-711b-4fc2-8549-aceeb68fcb05"],"requestBody":"68fbfcb5-7c39-48ed-a028-c935b1c2cbf5","responses":{"200":"23841d20-f168-4a9a-90c5-78f3f20ebb86","400":"8b443366-d19c-41aa-b464-b077a0c7eeb8","403":"99980145-5534-4f5d-bd87-6267eb366806","404":"6da58516-1f1b-4f57-8fc2-283c0959cc02","422":"f7d5f7e9-0d81-4488-b27f-eb62d9a6b760","500":"d4189112-c79d-42be-addf-175abacd85a4"},"security":["6869e9cb-90ef-4b87-b2ef-0ba2f40fe1a8","a99aa159-867b-41a8-a911-1195d142c39a"],"method":"post","type":"path","servers":["f61470cd-dcf1-4ff9-8d18-5ea2fd311348"],"path":"/routing","baseUrlOptions":["https://sandbox.hyperswitch.io"],"title":"Routing - Create","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{"2dc76630-711b-4fc2-8549-aceeb68fcb05":{"name":"X-Connected-Merchant-Id","in":"header","description":"Merchant ID of the connected merchant on whose behalf the operation is performed. Required when authenticating with a platform merchant's API key. Standard and connected merchants must not send it.","required":false,"schema":{"oneOf":[{"type":"string","description":"Merchant ID of the connected merchant on whose behalf the operation is performed. Required when authenticating with a platform merchant's API key. Standard and connected merchants must not send it.","uniqueKey":"oneOf.0","typeLabel":"string"},{"type":"null","description":"Merchant ID of the connected merchant on whose behalf the operation is performed. Required when authenticating with a platform merchant's API key. Standard and connected merchants must not send it.","uniqueKey":"oneOf.1","typeLabel":"null"}],"isRequired":false,"uniqueKey":"","typeLabel":"string | null"},"example":"merchant_abc"}},"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"name":{"oneOf":[{"type":"string","description":"Unique name of the routing configuration.\n\nThis identifier is used to reference the routing config internally.\n\nExample:\n```json\n\"default_card_routing\"\n```","example":"default_card_routing","uniqueKey":"name.oneOf.0","typeLabel":"string"},{"type":"null","description":"Unique name of the routing configuration.\n\nThis identifier is used to reference the routing config internally.\n\nExample:\n```json\n\"default_card_routing\"\n```","example":"default_card_routing","uniqueKey":"name.oneOf.1","typeLabel":"null"}],"uniqueKey":"name","typeLabel":"string | null"},"description":{"oneOf":[{"type":"string","description":"Optional human-readable description of the routing configuration.\n\nExample:\n```json\n\"Primary routing strategy for card payments in India\"\n```","example":"Primary routing strategy for card payments in Middle east","uniqueKey":"description.oneOf.0","typeLabel":"string"},{"type":"null","description":"Optional human-readable description of the routing configuration.\n\nExample:\n```json\n\"Primary routing strategy for card payments in India\"\n```","example":"Primary routing strategy for card payments in Middle east","uniqueKey":"description.oneOf.1","typeLabel":"null"}],"uniqueKey":"description","typeLabel":"string | null"},"algorithm":{"oneOf":[{"type":"object","required":["type","data"],"properties":{"type":{"type":"string","enum":["single"],"isRequired":true,"uniqueKey":"algorithm.oneOf.0.type","typeLabel":"enum\u003cstring>"},"data":{"type":"object","description":"Routable Connector chosen for a payment","required":["connector"],"properties":{"connector":{"type":"string","description":"RoutableConnectors are the subset of Connectors that are eligible for payments routing","enum":["absa_sanlam","authipay","adyenplatform","stripe_billing_test","phonypay","fauxpay","pretendpay","stripe_test","adyen_test","checkout_test","paypal_test","aci","adyen","affirm","airwallex","amazonpay","archipel","authorizedotnet","bankofamerica","barclaycard","billwerk","bitpay","bambora","blackhawknetwork","bamboraapac","bluesnap","calida","boku","braintree","breadpay","cashtocode","celero","chargebee","custombilling","checkbook","checkout","citigate","coinbase","coingate","cryptopay","cybersource","cybersourcedecisionmanager","d24","datatrans","deutschebank","digitalvirgo","dlocal","dwolla","ebanx","elavon","elavon_pg","envoy","etisalat","facilitapay","finix","fiserv","fiservemea","fiservcommercehub","fiuu","flexiti","forte","getnet","gigadat","givepayments","globalpay","globalpayments_heartland","globepay","gocardless","gotyme_sanlam","hipay","helcim","hyperpg","iatapay","ilixium","imerchantsolutions","inespay","interpayments","itaubank","jpmorgan","jpmorgan_orbital","klarna","loonio","merchante","mifinity","mollie","moneris","multisafepay","nexinets","nexixpay","nmi","nomupay","noon","nordea","novalnet","nuvei","opennode","paybox","paydotcom","payme","paynearme","payload","payone","paypal","paysafe","paystack","paytm","payconex","payu","peachpayments","payjustnow","payjustnowinstore","phonepe","placetopay","powertranz","prophetpay","rapyd","razorpay","recurly","redsys","revolv3","riskified","saferpay","sanlam_payshield","santander","shift4","signifyd","nsure","silverflow","square","stax","stripe","stripebilling","tesouro","truelayer","trustly","trustpay","trustpayments","tokenio","tsys","tsys_transit","volt","wellsfargo","wise","worldline","worldpay","worldpaymodular","worldpayraft","worldpayvantiv","worldpayxml","xendit","zen","zift","plaid","zsl","juspaythreedsserver","ctp_mastercard","ctp_visa","netcetera","vgs","cardinal","threedsecureio"],"isRequired":true,"uniqueKey":"algorithm.oneOf.0.data.connector","typeLabel":"enum\u003cstring>"},"merchant_connector_id":{"oneOf":[{"type":"string","uniqueKey":"algorithm.oneOf.0.data.merchant_connector_id.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"algorithm.oneOf.0.data.merchant_connector_id.oneOf.1","typeLabel":"null"}],"uniqueKey":"algorithm.oneOf.0.data.merchant_connector_id","typeLabel":"string | null"}},"isRequired":true,"uniqueKey":"algorithm.oneOf.0.data","typeLabel":"object"}},"uniqueKey":"algorithm.oneOf.0","typeLabel":"object"},{"type":"object","required":["type","data"],"properties":{"type":{"type":"string","enum":["priority"],"isRequired":true,"uniqueKey":"algorithm.oneOf.1.type","typeLabel":"enum\u003cstring>"},"data":{"type":"array","items":{"type":"object","description":"Routable Connector chosen for a payment","required":["connector"],"properties":{"connector":{"type":"string","description":"RoutableConnectors are the subset of Connectors that are eligible for payments routing","enum":["absa_sanlam","authipay","adyenplatform","stripe_billing_test","phonypay","fauxpay","pretendpay","stripe_test","adyen_test","checkout_test","paypal_test","aci","adyen","affirm","airwallex","amazonpay","archipel","authorizedotnet","bankofamerica","barclaycard","billwerk","bitpay","bambora","blackhawknetwork","bamboraapac","bluesnap","calida","boku","braintree","breadpay","cashtocode","celero","chargebee","custombilling","checkbook","checkout","citigate","coinbase","coingate","cryptopay","cybersource","cybersourcedecisionmanager","d24","datatrans","deutschebank","digitalvirgo","dlocal","dwolla","ebanx","elavon","elavon_pg","envoy","etisalat","facilitapay","finix","fiserv","fiservemea","fiservcommercehub","fiuu","flexiti","forte","getnet","gigadat","givepayments","globalpay","globalpayments_heartland","globepay","gocardless","gotyme_sanlam","hipay","helcim","hyperpg","iatapay","ilixium","imerchantsolutions","inespay","interpayments","itaubank","jpmorgan","jpmorgan_orbital","klarna","loonio","merchante","mifinity","mollie","moneris","multisafepay","nexinets","nexixpay","nmi","nomupay","noon","nordea","novalnet","nuvei","opennode","paybox","paydotcom","payme","paynearme","payload","payone","paypal","paysafe","paystack","paytm","payconex","payu","peachpayments","payjustnow","payjustnowinstore","phonepe","placetopay","powertranz","prophetpay","rapyd","razorpay","recurly","redsys","revolv3","riskified","saferpay","sanlam_payshield","santander","shift4","signifyd","nsure","silverflow","square","stax","stripe","stripebilling","tesouro","truelayer","trustly","trustpay","trustpayments","tokenio","tsys","tsys_transit","volt","wellsfargo","wise","worldline","worldpay","worldpaymodular","worldpayraft","worldpayvantiv","worldpayxml","xendit","zen","zift","plaid","zsl","juspaythreedsserver","ctp_mastercard","ctp_visa","netcetera","vgs","cardinal","threedsecureio"],"isRequired":true,"uniqueKey":"algorithm.oneOf.1.data.items.[INDEX].connector","typeLabel":"enum\u003cstring>"},"merchant_connector_id":{"oneOf":[{"type":"string","uniqueKey":"algorithm.oneOf.1.data.items.[INDEX].merchant_connector_id.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"algorithm.oneOf.1.data.items.[INDEX].merchant_connector_id.oneOf.1","typeLabel":"null"}],"uniqueKey":"algorithm.oneOf.1.data.items.[INDEX].merchant_connector_id","typeLabel":"string | null"}},"uniqueKey":"algorithm.oneOf.1.data.items.[INDEX]","typeLabel":"object"},"isRequired":true,"uniqueKey":"algorithm.oneOf.1.data","typeLabel":"object[]"}},"uniqueKey":"algorithm.oneOf.1","typeLabel":"object"},{"type":"object","required":["type","data"],"properties":{"type":{"type":"string","enum":["volume_split"],"isRequired":true,"uniqueKey":"algorithm.oneOf.2.type","typeLabel":"enum\u003cstring>"},"data":{"type":"array","items":{"type":"object","required":["connector","split"],"properties":{"connector":{"type":"object","description":"Routable Connector chosen for a payment","required":["connector"],"properties":{"connector":{"type":"string","description":"RoutableConnectors are the subset of Connectors that are eligible for payments routing","enum":["absa_sanlam","authipay","adyenplatform","stripe_billing_test","phonypay","fauxpay","pretendpay","stripe_test","adyen_test","checkout_test","paypal_test","aci","adyen","affirm","airwallex","amazonpay","archipel","authorizedotnet","bankofamerica","barclaycard","billwerk","bitpay","bambora","blackhawknetwork","bamboraapac","bluesnap","calida","boku","braintree","breadpay","cashtocode","celero","chargebee","custombilling","checkbook","checkout","citigate","coinbase","coingate","cryptopay","cybersource","cybersourcedecisionmanager","d24","datatrans","deutschebank","digitalvirgo","dlocal","dwolla","ebanx","elavon","elavon_pg","envoy","etisalat","facilitapay","finix","fiserv","fiservemea","fiservcommercehub","fiuu","flexiti","forte","getnet","gigadat","givepayments","globalpay","globalpayments_heartland","globepay","gocardless","gotyme_sanlam","hipay","helcim","hyperpg","iatapay","ilixium","imerchantsolutions","inespay","interpayments","itaubank","jpmorgan","jpmorgan_orbital","klarna","loonio","merchante","mifinity","mollie","moneris","multisafepay","nexinets","nexixpay","nmi","nomupay","noon","nordea","novalnet","nuvei","opennode","paybox","paydotcom","payme","paynearme","payload","payone","paypal","paysafe","paystack","paytm","payconex","payu","peachpayments","payjustnow","payjustnowinstore","phonepe","placetopay","powertranz","prophetpay","rapyd","razorpay","recurly","redsys","revolv3","riskified","saferpay","sanlam_payshield","santander","shift4","signifyd","nsure","silverflow","square","stax","stripe","stripebilling","tesouro","truelayer","trustly","trustpay","trustpayments","tokenio","tsys","tsys_transit","volt","wellsfargo","wise","worldline","worldpay","worldpaymodular","worldpayraft","worldpayvantiv","worldpayxml","xendit","zen","zift","plaid","zsl","juspaythreedsserver","ctp_mastercard","ctp_visa","netcetera","vgs","cardinal","threedsecureio"],"isRequired":true,"uniqueKey":"algorithm.oneOf.2.data.items.[INDEX].connector.connector","typeLabel":"enum\u003cstring>"},"merchant_connector_id":{"oneOf":[{"type":"string","uniqueKey":"algorithm.oneOf.2.data.items.[INDEX].connector.merchant_connector_id.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"algorithm.oneOf.2.data.items.[INDEX].connector.merchant_connector_id.oneOf.1","typeLabel":"null"}],"uniqueKey":"algorithm.oneOf.2.data.items.[INDEX].connector.merchant_connector_id","typeLabel":"string | null"}},"isRequired":true,"uniqueKey":"algorithm.oneOf.2.data.items.[INDEX].connector","typeLabel":"object"},"split":{"type":"integer","format":"int32","minimum":0,"isRequired":true,"uniqueKey":"algorithm.oneOf.2.data.items.[INDEX].split","typeLabel":"integer\u003cint32>"}},"uniqueKey":"algorithm.oneOf.2.data.items.[INDEX]","typeLabel":"object"},"isRequired":true,"uniqueKey":"algorithm.oneOf.2.data","typeLabel":"object[]"}},"uniqueKey":"algorithm.oneOf.2","typeLabel":"object"},{"type":"object","required":["type","data"],"properties":{"type":{"type":"string","enum":["advanced"],"isRequired":true,"uniqueKey":"algorithm.oneOf.3.type","typeLabel":"enum\u003cstring>"},"data":{"type":"object","description":"The program, having a default connector selection and\na bunch of rules. Also can hold arbitrary metadata.","required":["defaultSelection","rules","metadata"],"properties":{"defaultSelection":{"oneOf":[{"type":"object","required":["type","data"],"properties":{"type":{"type":"string","enum":["priority"],"isRequired":true,"uniqueKey":"algorithm.oneOf.3.data.defaultSelection.oneOf.0.type","typeLabel":"enum\u003cstring>"},"data":{"type":"array","items":{"type":"object","description":"Routable Connector chosen for a payment","required":["connector"],"properties":{"connector":{"type":"string","description":"RoutableConnectors are the subset of Connectors that are eligible for payments routing","enum":["absa_sanlam","authipay","adyenplatform","stripe_billing_test","phonypay","fauxpay","pretendpay","stripe_test","adyen_test","checkout_test","paypal_test","aci","adyen","affirm","airwallex","amazonpay","archipel","authorizedotnet","bankofamerica","barclaycard","billwerk","bitpay","bambora","blackhawknetwork","bamboraapac","bluesnap","calida","boku","braintree","breadpay","cashtocode","celero","chargebee","custombilling","checkbook","checkout","citigate","coinbase","coingate","cryptopay","cybersource","cybersourcedecisionmanager","d24","datatrans","deutschebank","digitalvirgo","dlocal","dwolla","ebanx","elavon","elavon_pg","envoy","etisalat","facilitapay","finix","fiserv","fiservemea","fiservcommercehub","fiuu","flexiti","forte","getnet","gigadat","givepayments","globalpay","globalpayments_heartland","globepay","gocardless","gotyme_sanlam","hipay","helcim","hyperpg","iatapay","ilixium","imerchantsolutions","inespay","interpayments","itaubank","jpmorgan","jpmorgan_orbital","klarna","loonio","merchante","mifinity","mollie","moneris","multisafepay","nexinets","nexixpay","nmi","nomupay","noon","nordea","novalnet","nuvei","opennode","paybox","paydotcom","payme","paynearme","payload","payone","paypal","paysafe","paystack","paytm","payconex","payu","peachpayments","payjustnow","payjustnowinstore","phonepe","placetopay","powertranz","prophetpay","rapyd","razorpay","recurly","redsys","revolv3","riskified","saferpay","sanlam_payshield","santander","shift4","signifyd","nsure","silverflow","square","stax","stripe","stripebilling","tesouro","truelayer","trustly","trustpay","trustpayments","tokenio","tsys","tsys_transit","volt","wellsfargo","wise","worldline","worldpay","worldpaymodular","worldpayraft","worldpayvantiv","worldpayxml","xendit","zen","zift","plaid","zsl","juspaythreedsserver","ctp_mastercard","ctp_visa","netcetera","vgs","cardinal","threedsecureio"],"isRequired":true,"uniqueKey":"algorithm.oneOf.3.data.defaultSelection.oneOf.0.data.items.[INDEX].connector","typeLabel":"enum\u003cstring>"},"merchant_connector_id":{"oneOf":[{"type":"string","uniqueKey":"algorithm.oneOf.3.data.defaultSelection.oneOf.0.data.items.[INDEX].merchant_connector_id.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"algorithm.oneOf.3.data.defaultSelection.oneOf.0.data.items.[INDEX].merchant_connector_id.oneOf.1","typeLabel":"null"}],"uniqueKey":"algorithm.oneOf.3.data.defaultSelection.oneOf.0.data.items.[INDEX].merchant_connector_id","typeLabel":"string | null"}},"uniqueKey":"algorithm.oneOf.3.data.defaultSelection.oneOf.0.data.items.[INDEX]","typeLabel":"object"},"isRequired":true,"uniqueKey":"algorithm.oneOf.3.data.defaultSelection.oneOf.0.data","typeLabel":"object[]"}},"isRequired":true,"uniqueKey":"algorithm.oneOf.3.data.defaultSelection.oneOf.0","typeLabel":"object"},{"type":"object","required":["type","data"],"properties":{"type":{"type":"string","enum":["volume_split"],"isRequired":true,"uniqueKey":"algorithm.oneOf.3.data.defaultSelection.oneOf.1.type","typeLabel":"enum\u003cstring>"},"data":{"type":"array","items":{"type":"object","required":["connector","split"],"properties":{"connector":{"type":"object","description":"Routable Connector chosen for a payment","required":["connector"],"properties":{"connector":{"type":"string","description":"RoutableConnectors are the subset of Connectors that are eligible for payments routing","enum":["absa_sanlam","authipay","adyenplatform","stripe_billing_test","phonypay","fauxpay","pretendpay","stripe_test","adyen_test","checkout_test","paypal_test","aci","adyen","affirm","airwallex","amazonpay","archipel","authorizedotnet","bankofamerica","barclaycard","billwerk","bitpay","bambora","blackhawknetwork","bamboraapac","bluesnap","calida","boku","braintree","breadpay","cashtocode","celero","chargebee","custombilling","checkbook","checkout","citigate","coinbase","coingate","cryptopay","cybersource","cybersourcedecisionmanager","d24","datatrans","deutschebank","digitalvirgo","dlocal","dwolla","ebanx","elavon","elavon_pg","envoy","etisalat","facilitapay","finix","fiserv","fiservemea","fiservcommercehub","fiuu","flexiti","forte","getnet","gigadat","givepayments","globalpay","globalpayments_heartland","globepay","gocardless","gotyme_sanlam","hipay","helcim","hyperpg","iatapay","ilixium","imerchantsolutions","inespay","interpayments","itaubank","jpmorgan","jpmorgan_orbital","klarna","loonio","merchante","mifinity","mollie","moneris","multisafepay","nexinets","nexixpay","nmi","nomupay","noon","nordea","novalnet","nuvei","opennode","paybox","paydotcom","payme","paynearme","payload","payone","paypal","paysafe","paystack","paytm","payconex","payu","peachpayments","payjustnow","payjustnowinstore","phonepe","placetopay","powertranz","prophetpay","rapyd","razorpay","recurly","redsys","revolv3","riskified","saferpay","sanlam_payshield","santander","shift4","signifyd","nsure","silverflow","square","stax","stripe","stripebilling","tesouro","truelayer","trustly","trustpay","trustpayments","tokenio","tsys","tsys_transit","volt","wellsfargo","wise","worldline","worldpay","worldpaymodular","worldpayraft","worldpayvantiv","worldpayxml","xendit","zen","zift","plaid","zsl","juspaythreedsserver","ctp_mastercard","ctp_visa","netcetera","vgs","cardinal","threedsecureio"],"isRequired":true,"uniqueKey":"algorithm.oneOf.3.data.defaultSelection.oneOf.1.data.items.[INDEX].connector.connector","typeLabel":"enum\u003cstring>"},"merchant_connector_id":{"oneOf":[{"type":"string","uniqueKey":"algorithm.oneOf.3.data.defaultSelection.oneOf.1.data.items.[INDEX].connector.merchant_connector_id.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"algorithm.oneOf.3.data.defaultSelection.oneOf.1.data.items.[INDEX].connector.merchant_connector_id.oneOf.1","typeLabel":"null"}],"uniqueKey":"algorithm.oneOf.3.data.defaultSelection.oneOf.1.data.items.[INDEX].connector.merchant_connector_id","typeLabel":"string | null"}},"isRequired":true,"uniqueKey":"algorithm.oneOf.3.data.defaultSelection.oneOf.1.data.items.[INDEX].connector","typeLabel":"object"},"split":{"type":"integer","format":"int32","minimum":0,"isRequired":true,"uniqueKey":"algorithm.oneOf.3.data.defaultSelection.oneOf.1.data.items.[INDEX].split","typeLabel":"integer\u003cint32>"}},"uniqueKey":"algorithm.oneOf.3.data.defaultSelection.oneOf.1.data.items.[INDEX]","typeLabel":"object"},"isRequired":true,"uniqueKey":"algorithm.oneOf.3.data.defaultSelection.oneOf.1.data","typeLabel":"object[]"}},"isRequired":true,"uniqueKey":"algorithm.oneOf.3.data.defaultSelection.oneOf.1","typeLabel":"object"}],"isRequired":true,"uniqueKey":"algorithm.oneOf.3.data.defaultSelection","typeLabel":"object"},"rules":{"type":"object","description":"Represents a rule\n\n```text\nrule_name: [stripe, adyen, checkout]\n{\npayment.method = card {\npayment.method.cardtype = (credit, debit) {\npayment.method.network = (amex, rupay, diners)\n}\n\npayment.method.cardtype = credit\n}\n}\n```","required":["name","connectorSelection","statements"],"properties":{"name":{"type":"string","isRequired":true,"uniqueKey":"algorithm.oneOf.3.data.rules.name","typeLabel":"string"},"connectorSelection":{"oneOf":[{"type":"object","required":["type","data"],"properties":{"type":{"type":"string","enum":["priority"],"isRequired":true,"uniqueKey":"algorithm.oneOf.3.data.rules.connectorSelection.oneOf.0.type","typeLabel":"enum\u003cstring>"},"data":{"type":"array","items":{"type":"object","description":"Routable Connector chosen for a payment","required":["connector"],"properties":{"connector":{"type":"string","description":"RoutableConnectors are the subset of Connectors that are eligible for payments routing","enum":["absa_sanlam","authipay","adyenplatform","stripe_billing_test","phonypay","fauxpay","pretendpay","stripe_test","adyen_test","checkout_test","paypal_test","aci","adyen","affirm","airwallex","amazonpay","archipel","authorizedotnet","bankofamerica","barclaycard","billwerk","bitpay","bambora","blackhawknetwork","bamboraapac","bluesnap","calida","boku","braintree","breadpay","cashtocode","celero","chargebee","custombilling","checkbook","checkout","citigate","coinbase","coingate","cryptopay","cybersource","cybersourcedecisionmanager","d24","datatrans","deutschebank","digitalvirgo","dlocal","dwolla","ebanx","elavon","elavon_pg","envoy","etisalat","facilitapay","finix","fiserv","fiservemea","fiservcommercehub","fiuu","flexiti","forte","getnet","gigadat","givepayments","globalpay","globalpayments_heartland","globepay","gocardless","gotyme_sanlam","hipay","helcim","hyperpg","iatapay","ilixium","imerchantsolutions","inespay","interpayments","itaubank","jpmorgan","jpmorgan_orbital","klarna","loonio","merchante","mifinity","mollie","moneris","multisafepay","nexinets","nexixpay","nmi","nomupay","noon","nordea","novalnet","nuvei","opennode","paybox","paydotcom","payme","paynearme","payload","payone","paypal","paysafe","paystack","paytm","payconex","payu","peachpayments","payjustnow","payjustnowinstore","phonepe","placetopay","powertranz","prophetpay","rapyd","razorpay","recurly","redsys","revolv3","riskified","saferpay","sanlam_payshield","santander","shift4","signifyd","nsure","silverflow","square","stax","stripe","stripebilling","tesouro","truelayer","trustly","trustpay","trustpayments","tokenio","tsys","tsys_transit","volt","wellsfargo","wise","worldline","worldpay","worldpaymodular","worldpayraft","worldpayvantiv","worldpayxml","xendit","zen","zift","plaid","zsl","juspaythreedsserver","ctp_mastercard","ctp_visa","netcetera","vgs","cardinal","threedsecureio"],"isRequired":true,"uniqueKey":"algorithm.oneOf.3.data.rules.connectorSelection.oneOf.0.data.items.[INDEX].connector","typeLabel":"enum\u003cstring>"},"merchant_connector_id":{"oneOf":[{"type":"string","uniqueKey":"algorithm.oneOf.3.data.rules.connectorSelection.oneOf.0.data.items.[INDEX].merchant_connector_id.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"algorithm.oneOf.3.data.rules.connectorSelection.oneOf.0.data.items.[INDEX].merchant_connector_id.oneOf.1","typeLabel":"null"}],"uniqueKey":"algorithm.oneOf.3.data.rules.connectorSelection.oneOf.0.data.items.[INDEX].merchant_connector_id","typeLabel":"string | null"}},"uniqueKey":"algorithm.oneOf.3.data.rules.connectorSelection.oneOf.0.data.items.[INDEX]","typeLabel":"object"},"isRequired":true,"uniqueKey":"algorithm.oneOf.3.data.rules.connectorSelection.oneOf.0.data","typeLabel":"object[]"}},"isRequired":true,"uniqueKey":"algorithm.oneOf.3.data.rules.connectorSelection.oneOf.0","typeLabel":"object"},{"type":"object","required":["type","data"],"properties":{"type":{"type":"string","enum":["volume_split"],"isRequired":true,"uniqueKey":"algorithm.oneOf.3.data.rules.connectorSelection.oneOf.1.type","typeLabel":"enum\u003cstring>"},"data":{"type":"array","items":{"type":"object","required":["connector","split"],"properties":{"connector":{"type":"object","description":"Routable Connector chosen for a payment","required":["connector"],"properties":{"connector":{"type":"string","description":"RoutableConnectors are the subset of Connectors that are eligible for payments routing","enum":["absa_sanlam","authipay","adyenplatform","stripe_billing_test","phonypay","fauxpay","pretendpay","stripe_test","adyen_test","checkout_test","paypal_test","aci","adyen","affirm","airwallex","amazonpay","archipel","authorizedotnet","bankofamerica","barclaycard","billwerk","bitpay","bambora","blackhawknetwork","bamboraapac","bluesnap","calida","boku","braintree","breadpay","cashtocode","celero","chargebee","custombilling","checkbook","checkout","citigate","coinbase","coingate","cryptopay","cybersource","cybersourcedecisionmanager","d24","datatrans","deutschebank","digitalvirgo","dlocal","dwolla","ebanx","elavon","elavon_pg","envoy","etisalat","facilitapay","finix","fiserv","fiservemea","fiservcommercehub","fiuu","flexiti","forte","getnet","gigadat","givepayments","globalpay","globalpayments_heartland","globepay","gocardless","gotyme_sanlam","hipay","helcim","hyperpg","iatapay","ilixium","imerchantsolutions","inespay","interpayments","itaubank","jpmorgan","jpmorgan_orbital","klarna","loonio","merchante","mifinity","mollie","moneris","multisafepay","nexinets","nexixpay","nmi","nomupay","noon","nordea","novalnet","nuvei","opennode","paybox","paydotcom","payme","paynearme","payload","payone","paypal","paysafe","paystack","paytm","payconex","payu","peachpayments","payjustnow","payjustnowinstore","phonepe","placetopay","powertranz","prophetpay","rapyd","razorpay","recurly","redsys","revolv3","riskified","saferpay","sanlam_payshield","santander","shift4","signifyd","nsure","silverflow","square","stax","stripe","stripebilling","tesouro","truelayer","trustly","trustpay","trustpayments","tokenio","tsys","tsys_transit","volt","wellsfargo","wise","worldline","worldpay","worldpaymodular","worldpayraft","worldpayvantiv","worldpayxml","xendit","zen","zift","plaid","zsl","juspaythreedsserver","ctp_mastercard","ctp_visa","netcetera","vgs","cardinal","threedsecureio"],"isRequired":true,"uniqueKey":"algorithm.oneOf.3.data.rules.connectorSelection.oneOf.1.data.items.[INDEX].connector.connector","typeLabel":"enum\u003cstring>"},"merchant_connector_id":{"oneOf":[{"type":"string","uniqueKey":"algorithm.oneOf.3.data.rules.connectorSelection.oneOf.1.data.items.[INDEX].connector.merchant_connector_id.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"algorithm.oneOf.3.data.rules.connectorSelection.oneOf.1.data.items.[INDEX].connector.merchant_connector_id.oneOf.1","typeLabel":"null"}],"uniqueKey":"algorithm.oneOf.3.data.rules.connectorSelection.oneOf.1.data.items.[INDEX].connector.merchant_connector_id","typeLabel":"string | null"}},"isRequired":true,"uniqueKey":"algorithm.oneOf.3.data.rules.connectorSelection.oneOf.1.data.items.[INDEX].connector","typeLabel":"object"},"split":{"type":"integer","format":"int32","minimum":0,"isRequired":true,"uniqueKey":"algorithm.oneOf.3.data.rules.connectorSelection.oneOf.1.data.items.[INDEX].split","typeLabel":"integer\u003cint32>"}},"uniqueKey":"algorithm.oneOf.3.data.rules.connectorSelection.oneOf.1.data.items.[INDEX]","typeLabel":"object"},"isRequired":true,"uniqueKey":"algorithm.oneOf.3.data.rules.connectorSelection.oneOf.1.data","typeLabel":"object[]"}},"isRequired":true,"uniqueKey":"algorithm.oneOf.3.data.rules.connectorSelection.oneOf.1","typeLabel":"object"}],"isRequired":true,"uniqueKey":"algorithm.oneOf.3.data.rules.connectorSelection","typeLabel":"object"},"statements":{"type":"array","items":{"type":"object","description":"Represents an IF statement with conditions and optional nested IF statements\n\n```text\npayment.method = card {\npayment.method.cardtype = (credit, debit) {\npayment.method.network = (amex, rupay, diners)\n}\n}\n```","required":["condition"],"properties":{"condition":{"type":"array","items":{"type":"object","description":"Represents a single comparison condition.","required":["lhs","comparison","value","metadata"],"properties":{"lhs":{"type":"string","description":"The left hand side which will always be a domain input identifier like \"payment.method.cardtype\"","isRequired":true,"uniqueKey":"algorithm.oneOf.3.data.rules.statements.items.[INDEX].condition.items.[INDEX].lhs","typeLabel":"string"},"comparison":{"type":"string","description":"Conditional comparison type","enum":["equal","not_equal","less_than","less_than_equal","greater_than","greater_than_equal"],"isRequired":true,"uniqueKey":"algorithm.oneOf.3.data.rules.statements.items.[INDEX].condition.items.[INDEX].comparison","typeLabel":"enum\u003cstring>"},"value":{"oneOf":[{"type":"object","description":"Represents a value in the DSL","required":["type","value"],"properties":{"type":{"type":"string","enum":["number"],"isRequired":true,"uniqueKey":"algorithm.oneOf.3.data.rules.statements.items.[INDEX].condition.items.[INDEX].value.oneOf.0.type","typeLabel":"enum\u003cstring>"},"value":{"type":"integer","format":"int64","description":"Represents a number literal","minimum":0,"isRequired":true,"uniqueKey":"algorithm.oneOf.3.data.rules.statements.items.[INDEX].condition.items.[INDEX].value.oneOf.0.value","typeLabel":"integer\u003cint64>"}},"isRequired":true,"uniqueKey":"algorithm.oneOf.3.data.rules.statements.items.[INDEX].condition.items.[INDEX].value.oneOf.0","typeLabel":"object"},{"type":"object","description":"Represents a value in the DSL","required":["type","value"],"properties":{"type":{"type":"string","enum":["enum_variant"],"isRequired":true,"uniqueKey":"algorithm.oneOf.3.data.rules.statements.items.[INDEX].condition.items.[INDEX].value.oneOf.1.type","typeLabel":"enum\u003cstring>"},"value":{"type":"string","description":"Represents an enum variant","isRequired":true,"uniqueKey":"algorithm.oneOf.3.data.rules.statements.items.[INDEX].condition.items.[INDEX].value.oneOf.1.value","typeLabel":"string"}},"isRequired":true,"uniqueKey":"algorithm.oneOf.3.data.rules.statements.items.[INDEX].condition.items.[INDEX].value.oneOf.1","typeLabel":"object"},{"type":"object","description":"Represents a value in the DSL","required":["type","value"],"properties":{"type":{"type":"string","enum":["metadata_variant"],"isRequired":true,"uniqueKey":"algorithm.oneOf.3.data.rules.statements.items.[INDEX].condition.items.[INDEX].value.oneOf.2.type","typeLabel":"enum\u003cstring>"},"value":{"type":"object","required":["key","value"],"properties":{"key":{"type":"string","isRequired":true,"uniqueKey":"algorithm.oneOf.3.data.rules.statements.items.[INDEX].condition.items.[INDEX].value.oneOf.2.value.key","typeLabel":"string"},"value":{"type":"string","isRequired":true,"uniqueKey":"algorithm.oneOf.3.data.rules.statements.items.[INDEX].condition.items.[INDEX].value.oneOf.2.value.value","typeLabel":"string"}},"isRequired":true,"uniqueKey":"algorithm.oneOf.3.data.rules.statements.items.[INDEX].condition.items.[INDEX].value.oneOf.2.value","typeLabel":"object"}},"isRequired":true,"uniqueKey":"algorithm.oneOf.3.data.rules.statements.items.[INDEX].condition.items.[INDEX].value.oneOf.2","typeLabel":"object"},{"type":"object","description":"Represents a value in the DSL","required":["type","value"],"properties":{"type":{"type":"string","enum":["str_value"],"isRequired":true,"uniqueKey":"algorithm.oneOf.3.data.rules.statements.items.[INDEX].condition.items.[INDEX].value.oneOf.3.type","typeLabel":"enum\u003cstring>"},"value":{"type":"string","description":"Represents a arbitrary String value","isRequired":true,"uniqueKey":"algorithm.oneOf.3.data.rules.statements.items.[INDEX].condition.items.[INDEX].value.oneOf.3.value","typeLabel":"string"}},"isRequired":true,"uniqueKey":"algorithm.oneOf.3.data.rules.statements.items.[INDEX].condition.items.[INDEX].value.oneOf.3","typeLabel":"object"},{"type":"object","description":"Represents a value in the DSL","required":["type","value"],"properties":{"type":{"type":"string","enum":["global_ref"],"isRequired":true,"uniqueKey":"algorithm.oneOf.3.data.rules.statements.items.[INDEX].condition.items.[INDEX].value.oneOf.4.type","typeLabel":"enum\u003cstring>"},"value":{"type":"string","description":"Represents a global reference, which is a reference to a global variable","isRequired":true,"uniqueKey":"algorithm.oneOf.3.data.rules.statements.items.[INDEX].condition.items.[INDEX].value.oneOf.4.value","typeLabel":"string"}},"isRequired":true,"uniqueKey":"algorithm.oneOf.3.data.rules.statements.items.[INDEX].condition.items.[INDEX].value.oneOf.4","typeLabel":"object"},{"type":"object","description":"Represents a value in the DSL","required":["type","value"],"properties":{"type":{"type":"string","enum":["number_array"],"isRequired":true,"uniqueKey":"algorithm.oneOf.3.data.rules.statements.items.[INDEX].condition.items.[INDEX].value.oneOf.5.type","typeLabel":"enum\u003cstring>"},"value":{"type":"array","items":{"type":"integer","format":"int64","minimum":0,"uniqueKey":"algorithm.oneOf.3.data.rules.statements.items.[INDEX].condition.items.[INDEX].value.oneOf.5.value.items.[INDEX]","typeLabel":"integer\u003cint64>"},"description":"Represents an array of numbers. This is basically used for\n\"one of the given numbers\" operations\neg: payment.method.amount = (1, 2, 3)","isRequired":true,"uniqueKey":"algorithm.oneOf.3.data.rules.statements.items.[INDEX].condition.items.[INDEX].value.oneOf.5.value","typeLabel":"integer\u003cint64>[]"}},"isRequired":true,"uniqueKey":"algorithm.oneOf.3.data.rules.statements.items.[INDEX].condition.items.[INDEX].value.oneOf.5","typeLabel":"object"},{"type":"object","description":"Represents a value in the DSL","required":["type","value"],"properties":{"type":{"type":"string","enum":["enum_variant_array"],"isRequired":true,"uniqueKey":"algorithm.oneOf.3.data.rules.statements.items.[INDEX].condition.items.[INDEX].value.oneOf.6.type","typeLabel":"enum\u003cstring>"},"value":{"type":"array","items":{"type":"string","uniqueKey":"algorithm.oneOf.3.data.rules.statements.items.[INDEX].condition.items.[INDEX].value.oneOf.6.value.items.[INDEX]","typeLabel":"string"},"description":"Similar to NumberArray but for enum variants\neg: payment.method.cardtype = (debit, credit)","isRequired":true,"uniqueKey":"algorithm.oneOf.3.data.rules.statements.items.[INDEX].condition.items.[INDEX].value.oneOf.6.value","typeLabel":"string[]"}},"isRequired":true,"uniqueKey":"algorithm.oneOf.3.data.rules.statements.items.[INDEX].condition.items.[INDEX].value.oneOf.6","typeLabel":"object"},{"type":"object","description":"Represents a value in the DSL","required":["type","value"],"properties":{"type":{"type":"string","enum":["number_comparison_array"],"isRequired":true,"uniqueKey":"algorithm.oneOf.3.data.rules.statements.items.[INDEX].condition.items.[INDEX].value.oneOf.7.type","typeLabel":"enum\u003cstring>"},"value":{"type":"array","items":{"type":"object","description":"Represents a number comparison for \"NumberComparisonArrayValue\"","required":["comparisonType","number"],"properties":{"comparisonType":{"type":"string","description":"Conditional comparison type","enum":["equal","not_equal","less_than","less_than_equal","greater_than","greater_than_equal"],"isRequired":true,"uniqueKey":"algorithm.oneOf.3.data.rules.statements.items.[INDEX].condition.items.[INDEX].value.oneOf.7.value.items.[INDEX].comparisonType","typeLabel":"enum\u003cstring>"},"number":{"type":"integer","format":"int64","description":"This Unit struct represents MinorUnit in which core amount works","isRequired":true,"uniqueKey":"algorithm.oneOf.3.data.rules.statements.items.[INDEX].condition.items.[INDEX].value.oneOf.7.value.items.[INDEX].number","typeLabel":"integer\u003cint64>"}},"uniqueKey":"algorithm.oneOf.3.data.rules.statements.items.[INDEX].condition.items.[INDEX].value.oneOf.7.value.items.[INDEX]","typeLabel":"object"},"description":"Like a number array but can include comparisons. Useful for\nconditions like \"500 \u003c amount \u003c 1000\"\neg: payment.amount = (> 500, \u003c 1000)","isRequired":true,"uniqueKey":"algorithm.oneOf.3.data.rules.statements.items.[INDEX].condition.items.[INDEX].value.oneOf.7.value","typeLabel":"object[]"}},"isRequired":true,"uniqueKey":"algorithm.oneOf.3.data.rules.statements.items.[INDEX].condition.items.[INDEX].value.oneOf.7","typeLabel":"object"}],"isRequired":true,"uniqueKey":"algorithm.oneOf.3.data.rules.statements.items.[INDEX].condition.items.[INDEX].value","typeLabel":"object"},"metadata":{"type":"object","description":"Additional metadata that the Static Analyzer and Backend does not touch.\nThis can be used to store useful information for the frontend and is required for communication\nbetween the static analyzer and the frontend.","additionalProperties":{"oneOf":[{}],"uniqueKey":"algorithm.oneOf.3.data.rules.statements.items.[INDEX].condition.items.[INDEX].metadata.additionalProperties","typeLabel":"any"},"isRequired":true,"uniqueKey":"algorithm.oneOf.3.data.rules.statements.items.[INDEX].condition.items.[INDEX].metadata","typeLabel":"object"}},"uniqueKey":"algorithm.oneOf.3.data.rules.statements.items.[INDEX].condition.items.[INDEX]","typeLabel":"object"},"isRequired":true,"uniqueKey":"algorithm.oneOf.3.data.rules.statements.items.[INDEX].condition","typeLabel":"object[]"},"nested":{"oneOf":[{"type":"array","items":{"$circularRef":"497d388b-6407-47e7-a295-3745e9fbde9f"},"uniqueKey":"algorithm.oneOf.3.data.rules.statements.items.[INDEX].nested.oneOf.0","typeLabel":"array"},{"type":"null","items":{"$circularRef":"497d388b-6407-47e7-a295-3745e9fbde9f"},"uniqueKey":"algorithm.oneOf.3.data.rules.statements.items.[INDEX].nested.oneOf.1","typeLabel":"null"}],"uniqueKey":"algorithm.oneOf.3.data.rules.statements.items.[INDEX].nested","typeLabel":"array | null"}},"uniqueKey":"algorithm.oneOf.3.data.rules.statements.items.[INDEX]","typeLabel":"object"},"isRequired":true,"uniqueKey":"algorithm.oneOf.3.data.rules.statements","typeLabel":"object[]"}},"isRequired":true,"uniqueKey":"algorithm.oneOf.3.data.rules","typeLabel":"object"},"metadata":{"type":"object","additionalProperties":{"oneOf":[{}],"uniqueKey":"algorithm.oneOf.3.data.metadata.additionalProperties","typeLabel":"any"},"isRequired":true,"uniqueKey":"algorithm.oneOf.3.data.metadata","typeLabel":"object"}},"isRequired":true,"uniqueKey":"algorithm.oneOf.3.data","typeLabel":"object"}},"uniqueKey":"algorithm.oneOf.3","typeLabel":"object"},{"type":"object","required":["type","data"],"properties":{"type":{"type":"string","enum":["three_ds_decision_rule"],"isRequired":true,"uniqueKey":"algorithm.oneOf.4.type","typeLabel":"enum\u003cstring>"},"data":{"type":"object","required":["defaultSelection","rules","metadata"],"properties":{"defaultSelection":{"type":"object","description":"Struct representing the output configuration for the 3DS Decision Rule Engine.","required":["decision"],"properties":{"decision":{"type":"string","description":"Enum representing the possible outcomes of the 3DS Decision Rule Engine.","enum":["no_three_ds","challenge_requested","challenge_preferred","no_preference","three_ds_exemption_requested_tra","three_ds_exemption_requested_low_value","issuer_three_ds_exemption_requested"],"isRequired":true,"uniqueKey":"algorithm.oneOf.4.data.defaultSelection.decision","typeLabel":"enum\u003cstring>"}},"isRequired":true,"uniqueKey":"algorithm.oneOf.4.data.defaultSelection","typeLabel":"object"},"rules":{"type":"object","required":["name","connectorSelection","statements"],"properties":{"name":{"type":"string","isRequired":true,"uniqueKey":"algorithm.oneOf.4.data.rules.name","typeLabel":"string"},"connectorSelection":{"type":"string","description":"Enum representing the possible outcomes of the 3DS Decision Rule Engine.","enum":["no_three_ds","challenge_requested","challenge_preferred","no_preference","three_ds_exemption_requested_tra","three_ds_exemption_requested_low_value","issuer_three_ds_exemption_requested"],"isRequired":true,"uniqueKey":"algorithm.oneOf.4.data.rules.connectorSelection","typeLabel":"enum\u003cstring>"},"statements":{"type":"array","items":{"type":"object","description":"Represents an IF statement with conditions and optional nested IF statements\n\n```text\npayment.method = card {\npayment.method.cardtype = (credit, debit) {\npayment.method.network = (amex, rupay, diners)\n}\n}\n```","required":["condition"],"properties":{"condition":{"type":"array","items":{"type":"object","description":"Represents a single comparison condition.","required":["lhs","comparison","value","metadata"],"properties":{"lhs":{"type":"string","description":"The left hand side which will always be a domain input identifier like \"payment.method.cardtype\"","isRequired":true,"uniqueKey":"algorithm.oneOf.4.data.rules.statements.items.[INDEX].condition.items.[INDEX].lhs","typeLabel":"string"},"comparison":{"type":"string","description":"Conditional comparison type","enum":["equal","not_equal","less_than","less_than_equal","greater_than","greater_than_equal"],"isRequired":true,"uniqueKey":"algorithm.oneOf.4.data.rules.statements.items.[INDEX].condition.items.[INDEX].comparison","typeLabel":"enum\u003cstring>"},"value":{"oneOf":[{"type":"object","description":"Represents a value in the DSL","required":["type","value"],"properties":{"type":{"type":"string","enum":["number"],"isRequired":true,"uniqueKey":"algorithm.oneOf.4.data.rules.statements.items.[INDEX].condition.items.[INDEX].value.oneOf.0.type","typeLabel":"enum\u003cstring>"},"value":{"type":"integer","format":"int64","description":"Represents a number literal","minimum":0,"isRequired":true,"uniqueKey":"algorithm.oneOf.4.data.rules.statements.items.[INDEX].condition.items.[INDEX].value.oneOf.0.value","typeLabel":"integer\u003cint64>"}},"isRequired":true,"uniqueKey":"algorithm.oneOf.4.data.rules.statements.items.[INDEX].condition.items.[INDEX].value.oneOf.0","typeLabel":"object"},{"type":"object","description":"Represents a value in the DSL","required":["type","value"],"properties":{"type":{"type":"string","enum":["enum_variant"],"isRequired":true,"uniqueKey":"algorithm.oneOf.4.data.rules.statements.items.[INDEX].condition.items.[INDEX].value.oneOf.1.type","typeLabel":"enum\u003cstring>"},"value":{"type":"string","description":"Represents an enum variant","isRequired":true,"uniqueKey":"algorithm.oneOf.4.data.rules.statements.items.[INDEX].condition.items.[INDEX].value.oneOf.1.value","typeLabel":"string"}},"isRequired":true,"uniqueKey":"algorithm.oneOf.4.data.rules.statements.items.[INDEX].condition.items.[INDEX].value.oneOf.1","typeLabel":"object"},{"type":"object","description":"Represents a value in the DSL","required":["type","value"],"properties":{"type":{"type":"string","enum":["metadata_variant"],"isRequired":true,"uniqueKey":"algorithm.oneOf.4.data.rules.statements.items.[INDEX].condition.items.[INDEX].value.oneOf.2.type","typeLabel":"enum\u003cstring>"},"value":{"type":"object","required":["key","value"],"properties":{"key":{"type":"string","isRequired":true,"uniqueKey":"algorithm.oneOf.4.data.rules.statements.items.[INDEX].condition.items.[INDEX].value.oneOf.2.value.key","typeLabel":"string"},"value":{"type":"string","isRequired":true,"uniqueKey":"algorithm.oneOf.4.data.rules.statements.items.[INDEX].condition.items.[INDEX].value.oneOf.2.value.value","typeLabel":"string"}},"isRequired":true,"uniqueKey":"algorithm.oneOf.4.data.rules.statements.items.[INDEX].condition.items.[INDEX].value.oneOf.2.value","typeLabel":"object"}},"isRequired":true,"uniqueKey":"algorithm.oneOf.4.data.rules.statements.items.[INDEX].condition.items.[INDEX].value.oneOf.2","typeLabel":"object"},{"type":"object","description":"Represents a value in the DSL","required":["type","value"],"properties":{"type":{"type":"string","enum":["str_value"],"isRequired":true,"uniqueKey":"algorithm.oneOf.4.data.rules.statements.items.[INDEX].condition.items.[INDEX].value.oneOf.3.type","typeLabel":"enum\u003cstring>"},"value":{"type":"string","description":"Represents a arbitrary String value","isRequired":true,"uniqueKey":"algorithm.oneOf.4.data.rules.statements.items.[INDEX].condition.items.[INDEX].value.oneOf.3.value","typeLabel":"string"}},"isRequired":true,"uniqueKey":"algorithm.oneOf.4.data.rules.statements.items.[INDEX].condition.items.[INDEX].value.oneOf.3","typeLabel":"object"},{"type":"object","description":"Represents a value in the DSL","required":["type","value"],"properties":{"type":{"type":"string","enum":["global_ref"],"isRequired":true,"uniqueKey":"algorithm.oneOf.4.data.rules.statements.items.[INDEX].condition.items.[INDEX].value.oneOf.4.type","typeLabel":"enum\u003cstring>"},"value":{"type":"string","description":"Represents a global reference, which is a reference to a global variable","isRequired":true,"uniqueKey":"algorithm.oneOf.4.data.rules.statements.items.[INDEX].condition.items.[INDEX].value.oneOf.4.value","typeLabel":"string"}},"isRequired":true,"uniqueKey":"algorithm.oneOf.4.data.rules.statements.items.[INDEX].condition.items.[INDEX].value.oneOf.4","typeLabel":"object"},{"type":"object","description":"Represents a value in the DSL","required":["type","value"],"properties":{"type":{"type":"string","enum":["number_array"],"isRequired":true,"uniqueKey":"algorithm.oneOf.4.data.rules.statements.items.[INDEX].condition.items.[INDEX].value.oneOf.5.type","typeLabel":"enum\u003cstring>"},"value":{"type":"array","items":{"type":"integer","format":"int64","minimum":0,"uniqueKey":"algorithm.oneOf.4.data.rules.statements.items.[INDEX].condition.items.[INDEX].value.oneOf.5.value.items.[INDEX]","typeLabel":"integer\u003cint64>"},"description":"Represents an array of numbers. This is basically used for\n\"one of the given numbers\" operations\neg: payment.method.amount = (1, 2, 3)","isRequired":true,"uniqueKey":"algorithm.oneOf.4.data.rules.statements.items.[INDEX].condition.items.[INDEX].value.oneOf.5.value","typeLabel":"integer\u003cint64>[]"}},"isRequired":true,"uniqueKey":"algorithm.oneOf.4.data.rules.statements.items.[INDEX].condition.items.[INDEX].value.oneOf.5","typeLabel":"object"},{"type":"object","description":"Represents a value in the DSL","required":["type","value"],"properties":{"type":{"type":"string","enum":["enum_variant_array"],"isRequired":true,"uniqueKey":"algorithm.oneOf.4.data.rules.statements.items.[INDEX].condition.items.[INDEX].value.oneOf.6.type","typeLabel":"enum\u003cstring>"},"value":{"type":"array","items":{"type":"string","uniqueKey":"algorithm.oneOf.4.data.rules.statements.items.[INDEX].condition.items.[INDEX].value.oneOf.6.value.items.[INDEX]","typeLabel":"string"},"description":"Similar to NumberArray but for enum variants\neg: payment.method.cardtype = (debit, credit)","isRequired":true,"uniqueKey":"algorithm.oneOf.4.data.rules.statements.items.[INDEX].condition.items.[INDEX].value.oneOf.6.value","typeLabel":"string[]"}},"isRequired":true,"uniqueKey":"algorithm.oneOf.4.data.rules.statements.items.[INDEX].condition.items.[INDEX].value.oneOf.6","typeLabel":"object"},{"type":"object","description":"Represents a value in the DSL","required":["type","value"],"properties":{"type":{"type":"string","enum":["number_comparison_array"],"isRequired":true,"uniqueKey":"algorithm.oneOf.4.data.rules.statements.items.[INDEX].condition.items.[INDEX].value.oneOf.7.type","typeLabel":"enum\u003cstring>"},"value":{"type":"array","items":{"type":"object","description":"Represents a number comparison for \"NumberComparisonArrayValue\"","required":["comparisonType","number"],"properties":{"comparisonType":{"type":"string","description":"Conditional comparison type","enum":["equal","not_equal","less_than","less_than_equal","greater_than","greater_than_equal"],"isRequired":true,"uniqueKey":"algorithm.oneOf.4.data.rules.statements.items.[INDEX].condition.items.[INDEX].value.oneOf.7.value.items.[INDEX].comparisonType","typeLabel":"enum\u003cstring>"},"number":{"type":"integer","format":"int64","description":"This Unit struct represents MinorUnit in which core amount works","isRequired":true,"uniqueKey":"algorithm.oneOf.4.data.rules.statements.items.[INDEX].condition.items.[INDEX].value.oneOf.7.value.items.[INDEX].number","typeLabel":"integer\u003cint64>"}},"uniqueKey":"algorithm.oneOf.4.data.rules.statements.items.[INDEX].condition.items.[INDEX].value.oneOf.7.value.items.[INDEX]","typeLabel":"object"},"description":"Like a number array but can include comparisons. Useful for\nconditions like \"500 \u003c amount \u003c 1000\"\neg: payment.amount = (> 500, \u003c 1000)","isRequired":true,"uniqueKey":"algorithm.oneOf.4.data.rules.statements.items.[INDEX].condition.items.[INDEX].value.oneOf.7.value","typeLabel":"object[]"}},"isRequired":true,"uniqueKey":"algorithm.oneOf.4.data.rules.statements.items.[INDEX].condition.items.[INDEX].value.oneOf.7","typeLabel":"object"}],"isRequired":true,"uniqueKey":"algorithm.oneOf.4.data.rules.statements.items.[INDEX].condition.items.[INDEX].value","typeLabel":"object"},"metadata":{"type":"object","description":"Additional metadata that the Static Analyzer and Backend does not touch.\nThis can be used to store useful information for the frontend and is required for communication\nbetween the static analyzer and the frontend.","additionalProperties":{"oneOf":[{}],"uniqueKey":"algorithm.oneOf.4.data.rules.statements.items.[INDEX].condition.items.[INDEX].metadata.additionalProperties","typeLabel":"any"},"isRequired":true,"uniqueKey":"algorithm.oneOf.4.data.rules.statements.items.[INDEX].condition.items.[INDEX].metadata","typeLabel":"object"}},"uniqueKey":"algorithm.oneOf.4.data.rules.statements.items.[INDEX].condition.items.[INDEX]","typeLabel":"object"},"isRequired":true,"uniqueKey":"algorithm.oneOf.4.data.rules.statements.items.[INDEX].condition","typeLabel":"object[]"},"nested":{"oneOf":[{"type":"array","items":{"$circularRef":"497d388b-6407-47e7-a295-3745e9fbde9f"},"uniqueKey":"algorithm.oneOf.4.data.rules.statements.items.[INDEX].nested.oneOf.0","typeLabel":"array"},{"type":"null","items":{"$circularRef":"497d388b-6407-47e7-a295-3745e9fbde9f"},"uniqueKey":"algorithm.oneOf.4.data.rules.statements.items.[INDEX].nested.oneOf.1","typeLabel":"null"}],"uniqueKey":"algorithm.oneOf.4.data.rules.statements.items.[INDEX].nested","typeLabel":"array | null"}},"uniqueKey":"algorithm.oneOf.4.data.rules.statements.items.[INDEX]","typeLabel":"object"},"isRequired":true,"uniqueKey":"algorithm.oneOf.4.data.rules.statements","typeLabel":"object[]"}},"isRequired":true,"uniqueKey":"algorithm.oneOf.4.data.rules","typeLabel":"object"},"metadata":{"type":"object","additionalProperties":{"oneOf":[{}],"uniqueKey":"algorithm.oneOf.4.data.metadata.additionalProperties","typeLabel":"any"},"isRequired":true,"uniqueKey":"algorithm.oneOf.4.data.metadata","typeLabel":"object"}},"isRequired":true,"uniqueKey":"algorithm.oneOf.4.data","typeLabel":"object"}},"uniqueKey":"algorithm.oneOf.4","typeLabel":"object"},{"type":"null","uniqueKey":"algorithm.oneOf.5","typeLabel":"null"}],"uniqueKey":"algorithm","typeLabel":"object · object · object · object · object · null"},"profile_id":{"oneOf":[{"type":"string","description":"Profile ID associated with this routing configuration.\n\nRouting configs can be scoped per business profile.\n\nExample:\n```json\n\"profile_123\"\n```","example":"profile_123","uniqueKey":"profile_id.oneOf.0","typeLabel":"string"},{"type":"null","description":"Profile ID associated with this routing configuration.\n\nRouting configs can be scoped per business profile.\n\nExample:\n```json\n\"profile_123\"\n```","example":"profile_123","uniqueKey":"profile_id.oneOf.1","typeLabel":"null"}],"uniqueKey":"profile_id","typeLabel":"string | null"},"transaction_type":{"oneOf":[{"type":"string","enum":["payment","payout","three_ds_authentication"],"uniqueKey":"transaction_type.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","uniqueKey":"transaction_type.oneOf.1","typeLabel":"null"}],"uniqueKey":"transaction_type","typeLabel":"enum\u003cstring> | null"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"name":"default_card_routing","description":"Primary routing strategy for card payments in Middle east","algorithm":{"type":"single","data":{"merchant_connector_id":"\u003cstring>"}},"profile_id":"profile_123"}}},"exampleType":"generated"}},"required":true,"exampleType":"generated"},"responses":{"23841d20-f168-4a9a-90c5-78f3f20ebb86":{"description":"Routing config created","content":{"application/json":{"schema":{"type":"object","description":"Metadata record representing a stored routing configuration.\n\nUsed in routing dictionary listings.","required":["id","profile_id","name","kind","description","created_at","modified_at"],"properties":{"id":{"type":"string","description":"Unique identifier of the routing configuration.\n\nExample:\n```json\n\"routing_abc123\"\n```","example":"routing_abc123","isRequired":true,"uniqueKey":"id","typeLabel":"string"},"profile_id":{"type":"string","description":"Profile ID associated with this routing configuration.\n\nExample:\n```json\n\"profile_123\"\n```","example":"profile_123","isRequired":true,"uniqueKey":"profile_id","typeLabel":"string"},"name":{"type":"string","description":"Name of the routing configuration.\n\nExample:\n```json\n\"india_card_routing\"\n```","example":"india_card_routing","isRequired":true,"uniqueKey":"name","typeLabel":"string"},"kind":{"type":"string","enum":["single","priority","volume_split","advanced","dynamic","three_ds_decision_rule"],"isRequired":true,"uniqueKey":"kind","typeLabel":"enum\u003cstring>"},"description":{"type":"string","description":"Description of this routing configuration.\n\nExample:\n```json\n\"Volume split routing for domestic transactions\"\n```","example":"Volume split routing for domestic transactions","isRequired":true,"uniqueKey":"description","typeLabel":"string"},"created_at":{"type":"integer","format":"int64","description":"Creation timestamp (milliseconds since epoch).","example":1718000000000,"isRequired":true,"uniqueKey":"created_at","typeLabel":"integer\u003cint64>"},"modified_at":{"type":"integer","format":"int64","description":"Last modification timestamp (milliseconds since epoch).","example":1718050000000,"isRequired":true,"uniqueKey":"modified_at","typeLabel":"integer\u003cint64>"},"algorithm_for":{"oneOf":[{"type":"string","enum":["payment","payout","three_ds_authentication"],"uniqueKey":"algorithm_for.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","uniqueKey":"algorithm_for.oneOf.1","typeLabel":"null"}],"uniqueKey":"algorithm_for","typeLabel":"enum\u003cstring> | null"},"decision_engine_routing_id":{"oneOf":[{"type":"string","description":"Associated Decision Engine routing identifier (if applicable).\n\nPresent when routing is linked to an external decision engine.\n\nExample:\n```json\n\"de_route_456\"\n```","example":"de_route_456","uniqueKey":"decision_engine_routing_id.oneOf.0","typeLabel":"string"},{"type":"null","description":"Associated Decision Engine routing identifier (if applicable).\n\nPresent when routing is linked to an external decision engine.\n\nExample:\n```json\n\"de_route_456\"\n```","example":"de_route_456","uniqueKey":"decision_engine_routing_id.oneOf.1","typeLabel":"null"}],"uniqueKey":"decision_engine_routing_id","typeLabel":"string | null"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"id":"routing_abc123","profile_id":"profile_123","name":"india_card_routing","kind":"single","description":"Volume split routing for domestic transactions","created_at":1718000000000,"modified_at":1718050000000,"algorithm_for":"payment","decision_engine_routing_id":"de_route_456"}}},"exampleType":"generated"}},"exampleType":"generated"},"8b443366-d19c-41aa-b464-b077a0c7eeb8":{"description":"Request body is malformed","content":{"_mintlify/placeholder":{"schema":{"type":"object","description":""}}}},"99980145-5534-4f5d-bd87-6267eb366806":{"description":"Forbidden","content":{"_mintlify/placeholder":{"schema":{"type":"object","description":""}}}},"6da58516-1f1b-4f57-8fc2-283c0959cc02":{"description":"Resource missing","content":{"_mintlify/placeholder":{"schema":{"type":"object","description":""}}}},"f7d5f7e9-0d81-4488-b27f-eb62d9a6b760":{"description":"Unprocessable request","content":{"_mintlify/placeholder":{"schema":{"type":"object","description":""}}}},"d4189112-c79d-42be-addf-175abacd85a4":{"description":"Internal server error","content":{"_mintlify/placeholder":{"schema":{"type":"object","description":""}}}}},"security":{"6869e9cb-90ef-4b87-b2ef-0ba2f40fe1a8":{"api_key":{"type":"apiKey","in":"header","name":"api-key","description":"Use the API key created under your merchant account from the HyperSwitch dashboard. API key is used to authenticate API requests from your merchant server only. Don't expose this key on a website or embed it in a mobile application.","scopes":[],"schemeName":"api_key"}},"a99aa159-867b-41a8-a911-1195d142c39a":{"jwt_key":{"type":"http","scheme":"bearer","bearerFormat":"JWT","scopes":[],"schemeName":"jwt_key"}}},"servers":{"f61470cd-dcf1-4ff9-8d18-5ea2fd311348":{"url":"https://sandbox.hyperswitch.io","description":"Sandbox Environment"}},"schemas":{"497d388b-6407-47e7-a295-3745e9fbde9f":{"type":"object","description":"Represents an IF statement with conditions and optional nested IF statements\n\n```text\npayment.method = card {\npayment.method.cardtype = (credit, debit) {\npayment.method.network = (amex, rupay, diners)\n}\n}\n```","required":["condition"],"properties":{"condition":{"type":"array","items":{"type":"object","description":"Represents a single comparison condition.","required":["lhs","comparison","value","metadata"],"properties":{"lhs":{"type":"string","description":"The left hand side which will always be a domain input identifier like \"payment.method.cardtype\"","isRequired":true},"comparison":{"type":"string","description":"Conditional comparison type","enum":["equal","not_equal","less_than","less_than_equal","greater_than","greater_than_equal"],"isRequired":true},"value":{"oneOf":[{"type":"object","description":"Represents a value in the DSL","required":["type","value"],"properties":{"type":{"type":"string","enum":["number"],"isRequired":true},"value":{"type":"integer","format":"int64","description":"Represents a number literal","minimum":0,"isRequired":true}},"isRequired":true},{"type":"object","description":"Represents a value in the DSL","required":["type","value"],"properties":{"type":{"type":"string","enum":["enum_variant"],"isRequired":true},"value":{"type":"string","description":"Represents an enum variant","isRequired":true}},"isRequired":true},{"type":"object","description":"Represents a value in the DSL","required":["type","value"],"properties":{"type":{"type":"string","enum":["metadata_variant"],"isRequired":true},"value":{"type":"object","required":["key","value"],"properties":{"key":{"type":"string","isRequired":true},"value":{"type":"string","isRequired":true}},"isRequired":true}},"isRequired":true},{"type":"object","description":"Represents a value in the DSL","required":["type","value"],"properties":{"type":{"type":"string","enum":["str_value"],"isRequired":true},"value":{"type":"string","description":"Represents a arbitrary String value","isRequired":true}},"isRequired":true},{"type":"object","description":"Represents a value in the DSL","required":["type","value"],"properties":{"type":{"type":"string","enum":["global_ref"],"isRequired":true},"value":{"type":"string","description":"Represents a global reference, which is a reference to a global variable","isRequired":true}},"isRequired":true},{"type":"object","description":"Represents a value in the DSL","required":["type","value"],"properties":{"type":{"type":"string","enum":["number_array"],"isRequired":true},"value":{"type":"array","items":{"type":"integer","format":"int64","minimum":0},"description":"Represents an array of numbers. This is basically used for\n\"one of the given numbers\" operations\neg: payment.method.amount = (1, 2, 3)","isRequired":true}},"isRequired":true},{"type":"object","description":"Represents a value in the DSL","required":["type","value"],"properties":{"type":{"type":"string","enum":["enum_variant_array"],"isRequired":true},"value":{"type":"array","items":{"type":"string"},"description":"Similar to NumberArray but for enum variants\neg: payment.method.cardtype = (debit, credit)","isRequired":true}},"isRequired":true},{"type":"object","description":"Represents a value in the DSL","required":["type","value"],"properties":{"type":{"type":"string","enum":["number_comparison_array"],"isRequired":true},"value":{"type":"array","items":{"type":"object","description":"Represents a number comparison for \"NumberComparisonArrayValue\"","required":["comparisonType","number"],"properties":{"comparisonType":{"type":"string","description":"Conditional comparison type","enum":["equal","not_equal","less_than","less_than_equal","greater_than","greater_than_equal"],"isRequired":true},"number":{"type":"integer","format":"int64","description":"This Unit struct represents MinorUnit in which core amount works","isRequired":true}}},"description":"Like a number array but can include comparisons. Useful for\nconditions like \"500 \u003c amount \u003c 1000\"\neg: payment.amount = (> 500, \u003c 1000)","isRequired":true}},"isRequired":true}],"isRequired":true},"metadata":{"type":"object","description":"Additional metadata that the Static Analyzer and Backend does not touch.\nThis can be used to store useful information for the frontend and is required for communication\nbetween the static analyzer and the frontend.","additionalProperties":{"oneOf":[{}]},"isRequired":true}}},"isRequired":true},"nested":{"oneOf":[{"type":"array","items":{"oneOf":[{}]}},{"type":"null"}]}}}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"apiKey","in":"header","name":"api-key","description":"Use the API key created under your merchant account from the HyperSwitch dashboard. API key is used to authenticate API requests from your merchant server only. Don't expose this key on a website or embed it in a mobile application.","scopes":[],"schemeName":"api_key"},"schema":{"title":"api-key","type":"string","description":"Use the API key created under your merchant account from the HyperSwitch dashboard. API key is used to authenticate API requests from your merchant server only. Don't expose this key on a website or embed it in a mobile application.","isRequired":true,"typeLabel":"string","deprecated":false},"schemeName":"api_key","name":"api-key"}],"title":"api_key"},{"schemes":[{"scheme":{"type":"http","scheme":"bearer","bearerFormat":"JWT","scopes":[],"schemeName":"jwt_key"},"schema":{"title":"Bearer Auth","type":"string","isRequired":true,"description":"Bearer authentication header of the form `Bearer \u003ctoken>`, where `\u003ctoken>` is your auth token.","format":"bearer","typeLabel":"string\u003cbearer>","deprecated":false},"schemeName":"jwt_key","name":"Authorization"}],"title":"jwt_key"}]},"originalFileLocation":"v1/openapi_spec_v1.json"},"subdomain":"docs.transactlyltd.com","siteName":"Hyperswitch","title":"Routing - Create - Hyperswitch","navMaps":{"firstHrefInVersion":{"1.0.0":{"href":"/v1/routing/routing--create","matchLevel":0},"2.0.0 [BETA]":{"href":"/v2/routing/routing--create","matchLevel":1}},"firstHrefInLanguage":{}},"originalFileLocation":"v1/routing/routing--create.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Create a routing config\">\u003cmeta data-mint-head name=\"application-name\" content=\"Hyperswitch\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/favicons/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/favicons/favicon-32x32.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/favicons/favicon-16x16.png\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/favicons/favicon.ico\">\u003cmeta data-mint-head property=\"og:title\" content=\"Routing - Create - Hyperswitch\">\u003cmeta data-mint-head property=\"og:description\" content=\"Create a routing config\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Hyperswitch\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://local./v1/routing/routing--create\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"http://docs.transactlyltd.com/_mintlify/og/v1/routing/routing--create.png\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Routing - Create - Hyperswitch\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Create a routing config\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"http://docs.transactlyltd.com/_mintlify/og/v1/routing/routing--create.png\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/favicons/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Hyperswitch\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#4F8EFF\">\u003clink data-mint-head rel=\"canonical\" href=\"https://local./v1/routing/routing--create\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/v1/routing/routing--create.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Hyperswitch\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"Hyperswitch","nav":{"tabs":[{"tab":"Documentation","versions":[{"version":"1.0.0","groups":[{"group":"Get Started","pages":[{"title":"👋 Welcome to Hyperswitch API Reference","sidebarTitle":"Introduction","icon":"rectangle-code","iconType":"solid","href":"/introduction"}]},{"group":"Essentials","pages":[{"title":"Authentication Types","href":"/essentials/authentication"},{"title":"Error Codes","href":"/essentials/error_codes"},{"title":"Rate Limits","href":"/essentials/rate_limit"},{"title":"Go-live Checklist","href":"/essentials/go-live"}]},{"group":"Payments Core APIs","pages":[{"title":"Setup instructions","sidebarTitle":"Setup Instructions","icon":"flag","iconType":"solid","href":"/v1/payments/setup--instructions"},{"title":"Payment flows","sidebarTitle":"Payment Flows","icon":"arrows-retweet","iconType":"solid","href":"/v1/payments/payment--flows"},{"group":"Payments","pages":[{"title":"Payments - Create","openapi":"post /payments","href":"/v1/payments/payments--create"},{"title":"Payments - Update","openapi":"post /payments/{payment_id}","href":"/v1/payments/payments--update"},{"title":"Payments - Confirm","openapi":"post /payments/{payment_id}/confirm","href":"/v1/payments/payments--confirm"},{"title":"Payments - Retrieve","openapi":"get /payments/{payment_id}","href":"/v1/payments/payments--retrieve"},{"title":"Payments - Cancel","openapi":"post /payments/{payment_id}/cancel","href":"/v1/payments/payments--cancel"},{"title":"Payments - Cancel Post Capture","openapi":"post /payments/{payment_id}/cancel_post_capture","href":"/v1/payments/payments--cancel-post-capture"},{"title":"Payments - Cancel Post Capture Retrieve","openapi":"get /payments/{payment_id}/cancel_post_capture","href":"/v1/payments/payments--cancel-post-capture-retrieve"},{"title":"Payments - Capture","openapi":"post /payments/{payment_id}/capture","href":"/v1/payments/payments--capture"},{"title":"Payments - Incremental Authorization","openapi":"post /payments/{payment_id}/incremental_authorization","href":"/v1/payments/payments--incremental-authorization"},{"title":"Payments - Extended Authorization","openapi":"post /payments/{payment_id}/extend_authorization","href":"/v1/payments/payments--extend-authorization"},{"title":"Payments - Session token","openapi":"post /payments/session_tokens","href":"/v1/payments/payments--session-token"},{"title":"Payments Link - Retrieve","openapi":"get /payment_link/{payment_link_id}","href":"/v1/payments/payments-link--retrieve"},{"title":"Payments - List","openapi":"get /payments/list","href":"/v1/payments/payments--list"},{"title":"Payments - External 3DS Authentication","openapi":"post /payments/{payment_id}/3ds/authentication","href":"/v1/payments/payments--external-3ds-authentication"},{"title":"Payments complete authorize","openapi":"post /{payment_id}/complete_authorize","href":"/v1/payments/payments--complete-authorize"},{"title":"Payments - Update Metadata","openapi":"post /payments/{payment_id}/update_metadata","href":"/v1/payments/payments--update-metadata"},{"title":"Payments - Submit Eligibility Data","openapi":"post /payments/{payment_id}/eligibility","href":"/v1/payments/payments--submit-eligibility-data"}]},{"group":"Payment Methods","pages":[{"title":"Payment Method - Create","openapi":"post /v1/payment-methods","href":"/v2/payment-methods/payment-method--create-v1"},{"title":"Payment method retrieve v1","openapi":"get /v1/payment-methods/{id}","href":"/v2/payment-methods/payment-method--retrieve-v1"},{"title":"Payment Method - Update","openapi":"put /v1/payment-methods/{id}/update-saved-payment-method","href":"/v2/payment-methods/payment-method--update-v1"},{"title":"Payment Method - Delete","openapi":"delete /v1/payment-methods/{id}","href":"/v2/payment-methods/payment-method--delete-v1"},{"title":"Payment Method - List Customer Saved Payment Methods","openapi":"get /v1/customers/{id}/saved-payment-methods","href":"/v2/payment-methods/payment-method--list-customer-saved-payment-methods-v1"},{"title":"Payment Method - Get Payment Method Token Data","openapi":"get /v1/payment-methods/token/{payment_method_temporary_token}/details","href":"/v2/payment-methods/payment-method--payment-method-token-to-payment-method-id-v1"},{"title":"Payment Method - Set Default Payment Method for Customer","openapi":"post /v1/{customer_id}/payment-methods/{payment_method_id}/default","href":"/v2/payment-methods/payment-method--set-default-payment-method-for-customer-v1"},{"title":"List payment methods for a Payment","openapi":"get /payments/{payment_id}/client","href":"/v1/payment-methods/list-payment-methods-for-a-payment-via-client-sdk"}]},{"group":"Customers","pages":[{"title":"Customers - Create","openapi":"post /v1/customers","href":"/v2/customers/customers--create-v1"},{"title":"Customers - Retrieve","openapi":"get /v1/customers/{id}","href":"/v2/customers/customers--retrieve-v1"},{"title":"Customers - Retrieve using Merchant Reference ID","openapi":"get /v1/customers/reference/{merchant_reference_id}","href":"/v1/customers/customers--retrieve-by-merchant-reference-id"},{"title":"Customers - Update","openapi":"put /v1/customers/{id}","href":"/v2/customers/customers--update-v1"},{"title":"Customers - Delete","openapi":"delete /v1/customers/{id}","href":"/v2/customers/customers--delete-v1"},{"title":"Customers - List","openapi":"get /v1/customers/list","href":"/v2/customers/customers--list-v1"}]},{"group":"Proxy","pages":[{"title":"Proxy","openapi":"post /v1/proxy","href":"/v2/proxy/proxy-v1"}]},{"group":"Payment Method Session","pages":[{"title":"Payment Method Session - Create","openapi":"post /v1/payment-method-sessions","href":"/v2/payment-method-session/payment-method-session--create-v1"},{"title":"Payment Method Session - Retrieve","openapi":"get /v1/payment-method-sessions/{id}","href":"/v2/payment-method-session/payment-method-session--retrieve-v1"},{"title":"Payment Method Session - List Payment Methods","openapi":"get /v1/payment-method-sessions/{id}/list-payment-methods","href":"/v2/payment-method-session/payment-method-session--list-payment-methods-v1"},{"title":"Payment Method Session - Update a saved payment method","openapi":"put /v1/payment-method-sessions/{id}/update-saved-payment-method","href":"/v2/payment-method-session/payment-method-session--update-a-saved-payment-method-v1"},{"title":"Payment Method Session - Confirm a payment method session","openapi":"post /v1/payment-method-sessions/{id}/confirm","href":"/v2/payment-method-session/payment-method-session--confirm-a-payment-method-session-v1"},{"title":"Payment Method Session - Delete a saved payment method","openapi":"delete /v1/payment-method-sessions/{id}","href":"/v2/payment-method-session/payment-method-session--delete-a-saved-payment-method-v1"}]},{"group":"Refunds","pages":[{"title":"Refunds - Create","openapi":"post /refunds","href":"/v1/refunds/refunds--create"},{"title":"Refunds - Update","openapi":"post /refunds/{refund_id}","href":"/v1/refunds/refunds--update"},{"title":"Refunds - Retrieve","openapi":"get /refunds/{refund_id}","href":"/v1/refunds/refunds--retrieve"},{"title":"Refunds - List","openapi":"post /refunds/list","href":"/v1/refunds/refunds--list"}]},{"group":"Disputes","pages":[{"title":"Disputes - Retrieve Dispute","openapi":"get /disputes/{dispute_id}","href":"/v1/disputes/disputes--retrieve"},{"title":"Disputes - List Disputes","openapi":"get /disputes/list","href":"/v1/disputes/disputes--list"},{"title":"Disputes - List Disputes for The Given Profiles","openapi":"get /disputes/profile/list","href":"/v1/disputes/disputes--list-profiles"},{"title":"Disputes - Accept Dispute","openapi":"post /disputes/accept/{dispute_id}","href":"/v1/disputes/disputes--accept"},{"title":"Disputes - Uploads Dispute Evidence","openapi":"post /disputes/evidence","href":"/v1/disputes/disputes--submit-evidence"},{"title":"Disputes - Attach Evidence to Dispute","openapi":"put /disputes/evidence","href":"/v1/disputes/disputes--attach-evidence"},{"title":"Disputes - Retrieve Dispute Evidence","openapi":"get /disputes/evidence/{dispute_id}","href":"/v1/disputes/disputes--retrieve-evidence"},{"title":"Disputes - Delete Evidence attached to a Dispute","openapi":"delete /disputes/evidence","href":"/v1/disputes/disputes--delete-evidence"},{"title":"Disputes - Get Disputes Aggregate","openapi":"get /disputes/aggregate","href":"/v1/disputes/disputes--get-aggregate"},{"title":"Disputes - Get Disputes Aggregate for Profiles","openapi":"get /disputes/profile/aggregate","href":"/v1/disputes/disputes--get-aggregate-profiles"},{"title":"Disputes - Disputes Filters","openapi":"get /disputes/filter","href":"/v1/disputes/disputes--get-filters"},{"title":"Disputes - Disputes Filters Profile","openapi":"get /disputes/profile/filter","href":"/v1/disputes/disputes--get-filters-profiles"}]},{"group":"Authentication","pages":[{"title":"Authentication - Create","openapi":"post /authentication","href":"/v1/authentication/authentication--create"},{"title":"Authentication - POST Eligibility Check","openapi":"post /authentication/{authentication_id}/eligibility-check","href":"/v1/authentication/authentication--post-eligibility-check"},{"title":"Authentication - GET Eligibility Check","openapi":"get /authentication/{authentication_id}/eligibility-check","href":"/v1/authentication/authentication--get-eligibility-check"}]},{"group":"Payouts","pages":[{"title":"Payouts - Create","openapi":"post /payouts/create","href":"/v1/payouts/payouts--create"},{"title":"Payouts - Update","openapi":"post /payouts/{payout_id}","href":"/v1/payouts/payouts--update"},{"title":"Payouts - Cancel","openapi":"post /payouts/{payout_id}/cancel","href":"/v1/payouts/payouts--cancel"},{"title":"Payouts - Fulfill","openapi":"post /payouts/{payout_id}/fulfill","href":"/v1/payouts/payouts--fulfill"},{"title":"Payouts - Confirm","openapi":"post /payouts/{payout_id}/confirm","href":"/v1/payouts/payouts--confirm"},{"title":"Payouts - Retrieve","openapi":"get /payouts/{payout_id}","href":"/v1/payouts/payouts--retrieve"},{"title":"Payouts - List","openapi":"get /payouts/list","href":"/v1/payouts/payouts--list"},{"title":"Payouts - List available filters","openapi":"post /payouts/filter","href":"/v1/payouts/payouts--list-filters"},{"title":"Payouts - List using filters","openapi":"post /payouts/list","href":"/v1/payouts/payouts--filter"}]}]},{"group":"Deprecated APIs","pages":[{"group":"Mandates","pages":[{"title":"Mandates - Revoke Mandate","openapi":"post /mandates/revoke/{mandate_id}","href":"/v1/mandates/mandates--revoke-mandate"},{"title":"Mandates - Retrieve Mandate","openapi":"get /mandates/{mandate_id}","href":"/v1/mandates/mandates--retrieve-mandate"},{"title":"Mandates customer mandates list","openapi":"post /customers/{customer_id}/mandates","href":"/v1/mandates/mandates--customer-mandates-list"}]},{"group":"Customers","pages":[{"title":"Customers - Create","openapi":"post /customers","href":"/v1/customers/customers--create"},{"title":"Customers - Retrieve","openapi":"get /customers/{customer_id}","href":"/v1/customers/customers--retrieve"},{"title":"Customers - Update","openapi":"post /customers/{customer_id}","href":"/v1/customers/customers--update"},{"title":"Customers - Delete","openapi":"delete /customers/{customer_id}","href":"/v1/customers/customers--delete"},{"title":"Customers - List","openapi":"get /customers/list","href":"/v1/customers/customers--list"}]},{"group":"Payment Methods","pages":[{"title":"PaymentMethods - Create","openapi":"post /payment_methods","href":"/v1/payment-methods/paymentmethods--create"},{"title":"Payment Method - Retrieve","openapi":"get /payment_methods/{method_id}","href":"/v1/payment-methods/payment-method--retrieve"},{"title":"Payment Method - Update","openapi":"post /payment_methods/{method_id}/update","href":"/v1/payment-methods/payment-method--update"},{"title":"Payment Method - Delete","openapi":"delete /payment_methods/{method_id}","href":"/v1/payment-methods/payment-method--delete"},{"title":"Payment Method - Set Default Payment Method for Customer","openapi":"post /{customer_id}/payment_methods/{payment_method_id}/default","href":"/v1/payment-methods/payment-method--set-default-payment-method-for-customer"},{"title":"List payment methods for a Merchant","openapi":"get /account/payment_methods","href":"/v1/payment-methods/list-payment-methods-for-a-merchant"},{"title":"List customer saved payment methods for a Payment","openapi":"get /customers/payment_methods","href":"/v1/payment-methods/list-customer-saved-payment-methods-for-a-payment"},{"title":"List payment methods for a Customer","openapi":"get /customers/{customer_id}/payment_methods","href":"/v1/payment-methods/list-payment-methods-for-a-customer"},{"title":"Payment Method - Set Default Payment Method for Customer","openapi":"post /{customer_id}/payment_methods/{payment_method_id}/default","href":"/v1/customer-set-default-payment-method/customers--set-default-payment-method"}]}]},{"group":"Account management APIs","pages":[{"group":"Organization","pages":[{"title":"Organization - Create","openapi":"post /organization","href":"/v1/organization/organization--create"},{"title":"Organization - Retrieve","openapi":"get /organization/{id}","href":"/v1/organization/organization--retrieve"},{"title":"Organization - Update","openapi":"put /organization/{id}","href":"/v1/organization/organization--update"}]},{"group":"Merchant Account","pages":[{"title":"Merchant Account - Create","openapi":"post /accounts","href":"/v1/merchant-account/merchant-account--create"},{"title":"Merchant Account - Retrieve","openapi":"get /accounts/{account_id}","href":"/v1/merchant-account/merchant-account--retrieve"},{"title":"Merchant Account - Update","openapi":"post /accounts/{account_id}","href":"/v1/merchant-account/merchant-account--update"},{"title":"Merchant Account - Delete","openapi":"delete /accounts/{account_id}","href":"/v1/merchant-account/merchant-account--delete"},{"title":"Merchant Account - KV Status","openapi":"post /accounts/{account_id}/kv","href":"/v1/merchant-account/merchant-account--kv-status"}]},{"group":"Business Profile","pages":[{"title":"Profile - Create","openapi":"post /account/{account_id}/business_profile","href":"/v1/business-profile/business-profile--create"},{"title":"Profile - Update","openapi":"post /account/{account_id}/business_profile/{profile_id}","href":"/v1/business-profile/business-profile--update"},{"title":"Profile - Retrieve","openapi":"get /account/{account_id}/business_profile/{profile_id}","href":"/v1/business-profile/business-profile--retrieve"},{"title":"Profile - Delete","openapi":"delete /account/{account_id}/business_profile/{profile_id}","href":"/v1/business-profile/business-profile--delete"},{"title":"Profile - List","openapi":"get /account/{account_id}/business_profile","href":"/v1/business-profile/business-profile--list"}]},{"group":"Platform Account","pages":[{"title":"Platform - Create","openapi":"post /user/create_platform","href":"/v1/platform/platform--create"}]},{"group":"API Key","pages":[{"title":"API Key - Create","openapi":"post /api_keys/{merchant_id}","href":"/v1/api-key/api-key--create"},{"title":"API Key - Retrieve","openapi":"get /api_keys/{merchant_id}/{key_id}","href":"/v1/api-key/api-key--retrieve"},{"title":"API Key - Update","openapi":"post /api_keys/{merchant_id}/{key_id}","href":"/v1/api-key/api-key--update"},{"title":"API Key - Revoke","openapi":"delete /api_keys/{merchant_id}/{key_id}","href":"/v1/api-key/api-key--revoke"},{"title":"API Key - List","openapi":"get /api_keys/{merchant_id}/list","href":"/v1/api-key/api-key--list"}]},{"group":"Merchant Connector Account","pages":[{"title":"Merchant Connector - Create","openapi":"post /account/{account_id}/connectors","href":"/v1/merchant-connector-account/merchant-connector--create"},{"title":"Merchant Connector - Retrieve","openapi":"get /account/{account_id}/connectors/{merchant_connector_id}","href":"/v1/merchant-connector-account/merchant-connector--retrieve"},{"title":"Merchant Connector - Update","openapi":"post /account/{account_id}/connectors/{merchant_connector_id}","href":"/v1/merchant-connector-account/merchant-connector--update"},{"title":"Merchant Connector - Delete","openapi":"delete /account/{account_id}/connectors/{merchant_connector_id}","href":"/v1/merchant-connector-account/merchant-connector--delete"},{"title":"Merchant Connector - List","openapi":"get /account/{account_id}/connectors","href":"/v1/merchant-connector-account/merchant-connector--list"}]},{"group":"GSM (Global Status Mapping)","pages":[{"title":"Gsm - Create","openapi":"post /gsm","href":"/v1/gsm/gsm--create"},{"title":"Gsm - Get","openapi":"post /gsm/get","href":"/v1/gsm/gsm--get"},{"title":"Gsm - Update","openapi":"post /gsm/update","href":"/v1/gsm/gsm--update"},{"title":"Gsm - Delete","openapi":"post /gsm/delete","href":"/v1/gsm/gsm--delete"}]}]},{"group":"Other APIs","pages":[{"group":"Event","pages":[{"title":"Events - List","openapi":"post /events/{merchant_id}","href":"/v1/event/events--list"},{"title":"Events - Delivery Attempt List","openapi":"get /events/{merchant_id}/{event_id}/attempts","href":"/v1/event/events--delivery-attempt-list"},{"title":"Events - Manual Retry","openapi":"post /events/{merchant_id}/{event_id}/retry","href":"/v1/event/events--manual-retry"}]},{"group":"Poll","pages":[{"title":"Poll - Retrieve Poll Status","openapi":"get /poll/status/{poll_id}","href":"/v1/poll/poll--retrieve-poll-status"}]},{"group":"Blocklist","pages":[{"title":"Get blocklist","openapi":"get /blocklist","href":"/v1/blocklist/get-blocklist"},{"title":"Post blocklist","openapi":"post /blocklist","href":"/v1/blocklist/post-blocklist"},{"title":"Delete blocklist","openapi":"delete /blocklist","href":"/v1/blocklist/delete-blocklist"},{"title":"Post blocklisttoggle","openapi":"post /blocklist/toggle","href":"/v1/blocklist/post-blocklisttoggle"},{"title":"Blocklist count","openapi":"get /blocklist/count","href":"/v1/blocklist/blocklist--count"},{"title":"Blocklist lookup","openapi":"get /blocklist/lookup","href":"/v1/blocklist/blocklist--lookup"},{"title":"Blocklist batch upload","openapi":"post /blocklist/batch","href":"/v1/blocklist/blocklist--batch-upload"},{"title":"Blocklist batch list","openapi":"get /blocklist/batch","href":"/v1/blocklist/blocklist--batch-list"},{"title":"Blocklist batch status","openapi":"get /blocklist/batch/{job_id}","href":"/v1/blocklist/blocklist--batch-status"},{"title":"Blocklist export create","openapi":"post /blocklist/export","href":"/v1/blocklist/blocklist--export-create"},{"title":"Blocklist - Clone Entries","openapi":"post /blocklist/clone","href":"/v1/blocklist/blocklist--clone"}]},{"group":"Routing","pages":[{"title":"Routing - List","description":"List all routing configs","openapi":"get /routing","href":"/v1/routing/routing--list"},{"title":"Routing - Create","openapi":"post /routing","href":"/v1/routing/routing--create"},{"title":"Routing - Auth Rate Based","description":"Create a success based dynamic routing algorithm","openapi":"post /account/{account_id}/business_profile/{profile_id}/dynamic_routing/success_based/create","href":"/v1/routing/routing--success-based"},{"title":"Routing - Elimination","openapi":"post /account/{account_id}/business_profile/{profile_id}/dynamic_routing/elimination/create","href":"/v1/routing/routing--elimination"},{"title":"Routing - Retrieve Config","openapi":"get /routing/active","href":"/v1/routing/routing--retrieve-config"},{"title":"Routing - Deactivate","openapi":"post /routing/deactivate","href":"/v1/routing/routing--deactivate"},{"title":"Routing - Retrieve Default Config","openapi":"get /routing/default","href":"/v1/routing/routing--retrieve-default-config"},{"title":"Routing - Update Default Config","openapi":"post /routing/default","href":"/v1/routing/routing--update-default-config"},{"title":"Routing - Retrieve Default For Profile","openapi":"get /routing/default/profile","href":"/v1/routing/routing--retrieve-default-for-profile"},{"title":"Routing - Update Default For Profile","openapi":"post /routing/default/profile/{profile_id}","href":"/v1/routing/routing--update-default-for-profile"},{"title":"Routing - Retrieve","openapi":"get /routing/{routing_algorithm_id}","href":"/v1/routing/routing--retrieve"},{"title":"Routing - Activate config","openapi":"post /routing/{routing_algorithm_id}/activate","href":"/v1/routing/routing--activate-config"},{"title":"Routing - Evaluate","openapi":"post /routing/evaluate","href":"/v1/routing/routing--evaluate"},{"title":"Routing - Feedback","openapi":"post /routing/feedback","href":"/v1/routing/routing--feedback"},{"title":"Routing - Rule Evaluate","openapi":"post /routing/rule/evaluate","href":"/v1/routing/routing--rule-evaluate"}]},{"group":"Relay","pages":[{"title":"Relay - Create","openapi":"post /relay","href":"/v1/relay/relay"},{"title":"Relay - Retrieve","openapi":"get /relay/{relay_id}","href":"/v1/relay/relay--retrieve"}]},{"group":"Schemas","pages":[{"title":"Outgoing webhook","href":"/v1/schemas/outgoing--webhook"}]},{"group":"Subscriptions","pages":[{"title":"Subscription - Create","openapi":"post /subscriptions/create","href":"/v1/subscriptions/create"},{"title":"Subscription - Confirm","openapi":"post /subscriptions/{subscription_id}/confirm","href":"/v1/subscriptions/confirm"},{"title":"Subscription - Create and Confirm","openapi":"post /subscriptions","href":"/v1/subscriptions/create-and-confirm"},{"title":"Subscription - Update","openapi":"put /subscriptions/{subscription_id}/update","href":"/v1/subscriptions/update"},{"title":"Subscription - Retrieve","openapi":"get /subscriptions/{subscription_id}","href":"/v1/subscriptions/get"},{"title":"Get plans","href":"/v1/subscriptions/get-plans"},{"title":"Subscription - Get Estimate","openapi":"get /subscriptions/estimate","href":"/v1/subscriptions/estimate"},{"title":"Subscription - Pause Subscription","openapi":"post /subscriptions/{subscription_id}/pause","href":"/v1/subscriptions/pause"},{"title":"Subscription - Resume Subscription","openapi":"post /subscriptions/{subscription_id}/resume","href":"/v1/subscriptions/resume"},{"title":"Subscription - Cancel Subscription","openapi":"post /subscriptions/{subscription_id}/cancel","href":"/v1/subscriptions/cancel"}]}]}]},{"version":"2.0.0 [BETA]","pages":[{"title":"2.0.0 [BETA]","href":"/v2/routing/routing--create"}]}]},{"tab":"Locker API Reference","pages":[{"title":"Locker API Reference","href":"/locker-api-reference/overview"}]},{"tab":"Decision Engine API Reference","pages":[{"title":"Decision Engine API Reference","href":"/decision-engine-api-reference/introduction"}]}]},"basePath":"","title":"Routing - Create - Hyperswitch","buildId":"223f4d0f93b3","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-DLP13Bsa.js","utils-LK_Rx0Zu.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-BSq7eEfK.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-Bchcwpn2.js","snippetPresets-B-BsDEmk.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","ApiExamples-CNoZnlAG.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-DqKAmR6F.js","shallow-Dq5-SwG1.js","getApiPlaygroundDisplay-B6YMrfFr.js","CodeSnippet-DvvqqrVi.js","CodeSnippets-D6Vj56PD.js","Page-03hAnTHd.js","getPastedJson-BKlc8wx2.js","icon-HMNWawTa.js","MethodPill-Dd_Z_kqi.js","DuplicateIcon-DK5o2DOi.js","createIcon-BhUMOhLi.js","DynamicMarkdown-CoGC92CO.js","SectionHeading-K9MvhMbX.js","axios-vUo_bRtp.js","Markdown-DqqHYs0x.js","clsx-DfU2JnNK.js","lib-DuNMoZ05.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-C8phz87P.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink-BVRLOPpC.js"]}